#
# spec file for package mmc-utils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mmc-utils
Version:        0.1+git.20160623
Release:        2.5
Summary:        Tools for MMC/SD devices
License:        GPL-2.0
Group:          Hardware/Other
Url:            http://git.kernel.org/cgit/linux/kernel/git/cjb/mmc-utils.git/
Source0:        %{name}-%{version}.tar.xz
Source1:        https://www.gnu.org/licenses/gpl-2.0.txt
Patch0:         do_not_use_asm_generic.patch
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Userspace tools for controlling and querying MMC/SD storage devices

%prep
%setup -q
cp %{SOURCE1} LICENSE.GPL-2.0
%patch0 -p1

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
make %{?_smp_mflags} install prefix=%{_prefix} DESTDIR=%{buildroot}
install -D -m 0644 man/mmc.1 %{buildroot}%{_mandir}/man1/mmc.1

%files
%defattr(-,root,root)
%doc LICENSE.GPL-2.0
%{_bindir}/mmc
%{_mandir}/man1/mmc.1%{ext_man}

%changelog
* Wed Jun 29 2016 mpluskal@suse.com
- Update to version 0.1+git.20160623:
  * mmc-utils: Add ability to configure write protect on an eMMC device
  * mmc-utils: Add Command Queue fields to Extended CSD
* Thu May 12 2016 mpluskal@suse.com
- Update to version 0.1+git.20160511:
  * mmc-utils: Add disable partition boot to 'mmc bootpart enable'
* Wed Mar  9 2016 mpluskal@suse.com
- Update to version 0.1~git.20160308:
  + Fit usage to 80 cols
  + fix building errors on Android
  + mmc-utils: add check for max enhanced user area
  + mmc-utils: add support to create gp partition
  + mmc-utils: Add command to set the boot bus conditions
  + mmc-utils: add ability to enable/disable optional eMMC cache
  + mmc_utils: gp create: only allow partition [1-4] to be selected
  + mmc_utils: doc: add man-page
  + mmc-utils: Merge the lsmmc tool into mmc-utils
  + mmc_utils: add ffu support
* Tue Mar  1 2016 mpluskal@suse.com
- Update to 0.1~20160223
- Drop old versioning which was based only on date
* Wed Feb 17 2016 normand@linux.vnet.ibm.com
- new do_not_use_asm_generic.patch to avoid PowerPC build error
* Sat Dec  5 2015 mpluskal@suse.com
- Update to 20151118
- Install man page
- Build with correct optflags
* Thu Dec 25 2014 mpluskal@suse.com
- Initial packaging of current git snapshot (20140812)
